package com.xiaoniu.subsystem.system.utils;

import java.util.regex.Pattern;
 
public class MobileNumberValidator {
    // 正则表达式匹配大部分国家的手机号码格式
    private static final Pattern PHONE_NUMBER_PATTERN = Pattern.compile("^1[3-9]\\d{9}$");
 
    /**
     * 验证手机号码是否有效
     * @param number 要验证的手机号码
     * @return 如果手机号码有效返回true，否则返回false
     */
    public static boolean isValidPhoneNumber(String number) {
        return PHONE_NUMBER_PATTERN.matcher(number).matches();
    }

}